# FreqMgr 2.10 - FMgrBinary class
# Copyright (C) 2.10, Kostromitinov Pavel
#
package FMgrBinary;
use Carp;
use FNdxCommon;
use FNdxBinary;

sub new {
	my ($Class,$Areas,$Groups)=@_;
	$Class=ref $Class if ref $Class;
	croak 'Not an array-ref passed' if ref($Groups) ne 'ARRAY';
	push(@$Groups,'') if @$Groups==0;
	my %FMgrBinary=('Areas'=>$Areas,'Groups'=>$Groups);
	return bless \%FMgrBinary,$Class;
}

sub load {
	my ($Class,$File,$Groups)=@_;
	$Class=ref $Class if ref $Class;
	croak 'Not an array-ref passed' if ref($Groups) ne 'ARRAY';
	push(@$Groups,'') if @$Groups==0;
	my %FMgrBinary=('Areas'=>[],'Groups'=>$Groups);
	my ($IsValidBin,$BINCreated)=LoadBinaryFile($File,$FNdxCommon::CurrentVersion,$FMgrBinary{'Areas'});
	exit 1 unless $IsValidBin;
	return bless \%FMgrBinary,$Class;
}

1;
