# Time formatting routines
# Copyright (C) 2000, Kostromitinov Pavel
#
package PKTime;
require Exporter;
@ISA=qw(Exporter);
@EXPORT=qw(GetTimeParams);

my @Month3=('Jan','Feb','Mar','Apr','May','Jun','Jul','Aug','Sep','Oct','Nov','Dec');
my @Months=('January','February','March','April','May','June','July','August',
			'September','October','November','December');
my @MonthR=('I','II','III','IV','V','VI','VII','VIII','IX','X','XI','XII');

sub GetTimeParams {
	my ($Time,$DDelim,$TDelim)=@_;
    $DDelim='.' unless defined $DDelim;
    $TDelim=':' unless defined $TDelim;
	my @Time=localtime($Time);
    my %Params=(
		'DATE'	=>	sprintf('%d%s%d%s%d',$Time[3],$DDelim,$Time[4]+1,$DDelim,$Time[5]+1900),
		'TIME'	=>	sprintf('%02d%s%02d%s%02d',$Time[2],$TDelim,$Time[1],$TDelim,$Time[0]),
		'YR'	=>	$Time[5]+1900,
		'Y2'	=>	$Time[5],
		'MO'	=>	$Months[$Time[4]],
		'M3'	=>	$Month3[$Time[4]],
		'MR'	=>	$MonthR[$Time[4]],
		'MN'	=>	$Time[4]+1,
		'DY'	=>	$Time[3],
		'HR'	=>	$Time[2],
		'MN'	=>	$Time[1],
		'SC'	=>	$Time[0],
	);
	$Params{'DT'}=$Params{'DATE'}.' '.$Params{'TIME'};
	return \%Params;
}

1;
